using Project.Data.Project;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata;
using SPWA.DataAccess.Data.Models;
using Microsoft.AspNet.Identity.EntityFramework;
using Microsoft.EntityFrameworkCore.Metadata;

namespace SPWA.DataAccess.Data.MJDbContext
{
    public partial class MJContext : DbContext
    {
        public MJContext()
        {
        }

        public MJContext(DbContextOptions<MJContext> options)
            : base(options)
        {
            
        }

        public DbSet<Project.Data.Project.Project> Project { get; set; }
        public  DbSet<Course> Course { get; set; }
        public  DbSet<CourseQuestions> CourseQuestions { get; set; }
        public  DbSet<Email> Email { get; set; }
        public  DbSet<Evaluation> Evaluation { get; set; }
        public  DbSet<Grade> Grade { get; set; }
        public  DbSet<Placeholder> Placeholder { get; set; }
        public  DbSet<Question> Question { get; set; }
        public  DbSet<Template> Template { get; set; }
        public  DbSet<Term> Term { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
        {
            
            
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {


            modelBuilder.Entity<Project.Data.Project.Project>().ToTable("Project");

            modelBuilder.Entity<Course>().ToTable("Course");

            modelBuilder.Entity<CourseQuestions>().ToTable("CourseQuestions");

            modelBuilder.Entity<Email>().ToTable("Email");

            modelBuilder.Entity<Evaluation>().ToTable("Evaluation");

            modelBuilder.Entity<Grade>().ToTable("Grade");

            modelBuilder.Entity<Placeholder>().ToTable("Placeholder");

            modelBuilder.Entity<Question>().ToTable("Question");

            modelBuilder.Entity<Template>().ToTable("Template");

            modelBuilder.Entity<Term>().ToTable("Term");

            
        }

        
    }
}